LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XUserInputInterception Interface Referencepublished

Interface to add handlers for key and mouse events. More...

`import"XUserInputInterception.idl";`

Inheritance diagram for XUserInputInterception:

## Public Member Functions
void | addKeyHandler ([in] ::com::sun::star::awt::XKeyHandler xHandler)
| Add a new listener that is called on com::sun::star::awt::KeyEvent. More...
void | removeKeyHandler ([in] ::com::sun::star::awt::XKeyHandler xHandler)
| Remove the specified listener from the list of listeners. More...
void | addMouseClickHandler ([in] ::com::sun::star::awt::XMouseClickHandler xHandler)
| Add a new listener that is called on com::sun::star::awt::MouseEvent. More...
void | removeMouseClickHandler ([in] ::com::sun::star::awt::XMouseClickHandler xHandler)
| Remove the specified listener from the list of listeners. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface to add handlers for key and mouse events.

A handler is not a passive listener, it can even consume the event.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ addKeyHandler()

void addKeyHandler | ( | [in] ::com::sun::star::awt::XKeyHandler | xHandler | ) |

Add a new listener that is called on com::sun::star::awt::KeyEvent.

Every listener is given the opportunity to consume the event, i.e. prevent the not yet called listeners from being called.

Parameters

  xHandler | If this is a valid reference it is inserted into the list of handlers. It is the task of the caller to not register the same handler twice (otherwise that listener will be called twice.)

## ◆ addMouseClickHandler()

void addMouseClickHandler | ( | [in] ::com::sun::star::awt::XMouseClickHandler | xHandler | ) |

Add a new listener that is called on com::sun::star::awt::MouseEvent.

Every listener is given the opportunity to consume the event, i.e. prevent the not yet called listeners from being called.

Parameters

  xHandler | If this is a valid reference it is inserted into the list of handlers. It is the task of the caller to not register the same handler twice (otherwise that listener will be called twice.)

## ◆ removeKeyHandler()

void removeKeyHandler | ( | [in] ::com::sun::star::awt::XKeyHandler | xHandler | ) |

Remove the specified listener from the list of listeners.

Parameters

  xHandler | If the reference is empty then nothing will be changed. If the handler has been registered twice (or more) then all references will be removed.

## ◆ removeMouseClickHandler()

void removeMouseClickHandler | ( | [in] ::com::sun::star::awt::XMouseClickHandler | xHandler | ) |

Remove the specified listener from the list of listeners.

Parameters

  xHandler | If the reference is empty then nothing will be changed. If the handler has been registered twice (or more) then all references will be removed.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XUserInputInterception.idl